> ## Documentation Index
> Fetch the complete documentation index at: https://docs.girostack.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get One Wallet

> This endpoint returns one wallet based on the provided ID.

`GET {{baseurl}}/virtual-accounts/{{walletId}}`

<Tabs>
  <Tab title="Staging">
    ```
       https://gw.stg.girostack.com/v1
    ```
  </Tab>

  <Tab title="Production">
    ```
       https://gw.prod.girostack.com/v1
    ```
  </Tab>
</Tabs>

<Card title="Headers">
  <ParamField body="x-giro-key" type="string" required>
    Pass your account's secret key as the value.
  </ParamField>
</Card>

<Card title="Path Params">
  <ParamField path="walletId" type="string">
    This is your wallet's publicId.
  </ParamField>
</Card>

<RequestExample>
  ```bash cURL theme={null}
  curl --location '{{API_BASE_URL}}/virtual-accounts/3bf02992-a9de-41dd-9cb1-243324567811' \
  --header 'x-giro-key: {{SECRET_KEY}}' \
  --header 'Content-Type: application/json' \
  ```

  ```javascript Node.JS theme={null}
  const fetch = require("node-fetch");

  const url =
    "{{API_BASE_URL}}/virtual-accounts/3bf02992-a9de-41dd-9cb1-243324567811";
  const headers = {
    "x-giro-key": "{{SECRET_KEY}}",
    "Content-Type": "application/json",
  };

  fetch(url, {
    method: "GET",
    headers: headers,
  })
    .then((response) => response.json())
    .then((data) => console.log(data))
    .catch((error) => console.error("Error:", error));
  ```

  ```php PHP theme={null}
  <?php
  $curl = curl_init();

  curl_setopt_array($curl, array(
    CURLOPT_URL => '{{API_BASE_URL}}/virtual-accounts/3bf02992-a9de-41dd-9cb1-243324567811',
    CURLOPT_RETURNTRANSFER => true,
    CURLOPT_HTTPHEADER => array(
      'x-giro-key: {{SECRET_KEY}}',
      'Content-Type: application/json'
    )
  ));

  $response = curl_exec($curl);
  $httpcode = curl_getinfo($curl, CURLINFO_HTTP_CODE);

  if (curl_errno($curl)) {
    echo 'Error: ' . curl_error($curl);
  } else {
    echo "Response Code: $httpcode\n";
    echo $response;
  }

  curl_close($curl);
  ?>
  ```
</RequestExample>

<ResponseExample>
  ```json 200 OK theme={null}
  {
    "meta": {
      "statusCode": 200,
      "success": true
    },
    "data": {
      "_id": "66dd1226632b0f2s8e8d3532",
      "id": "66dd1226632b0f2s8e8d3532",
      "publicId": "vba-19aeceea-1bd6-4e85-89fa-2ca0b1c57d61",
      "auth": "65b12bbf512f9932b67f53d7",
      "account": "65b12bbf36e38c6bfbe35f95",
      "accountName": "John Doe",
      "accountNumber": "7481018744",
      "bankName": "Source MFB",
      "bankCode": "090641",
      "live": true,
      "isFavourite": true,
      "processor": "source",
      "category": "primary",
      "id": 1,
      "createdAt": "2024-04-20T19:50:16.880Z",
      "updatedAt": "2024-04-20T19:50:16.880Z",
      "balance": 0,
      "currency": "NGN",
      "lastUpdated": "2024-04-20T19:50:16.880Z"
    }
  }
  ```

  ```json 404 Not Found theme={null}
  {
    "meta": {
      "statusCode": 404,
      "error": {
        "statusCode": 404,
        "message": "Data not found"
      }
    }
  }
  ```
</ResponseExample>
